TAAS - Feature #402

Refund Module New Ul Without-Popup
10/28/2024 12:39 PM - Junaid M

Status: New Changes Start date: 10/28/2024
Priority: Normal Due date:
Assignee: Amal Ck % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:
Time Taken(HH): Code Reviewed By:
Module: New Sale&Refund Module

Without-Popup
Description
History

#1 - 10/28/2024 03:05 PM - Anil KV

- Assignee changed from travvise Admin to Vivekp V

#2 - 12/11/2024 02:01 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#3 - 12/28/2024 12:36 PM - Anil KV
- Assignee changed from Vivekp V to Amal Ck

#4 - 12/28/2024 12:39 PM - Amal Ck
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#5 - 01/08/2025 02:38 PM - Amal Ck
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#6 - 01/08/2025 02:41 PM - Arathy PS
- File clipboard-202501081440-39pvy.png added
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND

1. Not connected with 'Allow Old Refund' and 'Allow Refund More than Price' in user general privilege.
2. Normal Profit of refund should be difference of refund charge and supplier charge and actual profit should be the difference in service fee or other
fare components in customer side from sale. --- should be done in all ticket/voucher cancel modules.
Travvise

Refund

Master | Ticket Hotel Other

Transfer Visa Package AR Sharing

Refund No | RF/003 D] Branch” | BROT: Main
Against Doc & 0.00 QAR Department™ | DPOOT: Account
Customer/FOP* | CUS004 AJMAL HAAFIS QAR v File No™ = Enquiry No™ =
Sub Customer = Customer Side Posting™ :
Reference Deduction * | 0,00
Narration ) Total Refund 1420.00 Total Profit 20.00
Document Status® | Active ~ E; Shared 0.00 Outstanding 1420.00

Balance 1420.00

Posting Status® i v B

Created By:  Administrator(08/01/2025 01:08 PM)
Modified By

vy
™
Ticket/Voucher ~ Party
Ticket & Voucher List Q search ¥ SetAll Y a 2 I
# Type Cancel Date  Ticket/Voucher  Service Provider Refund Amount Receivable Profit Shared
1 Ticket 09/01/2025 1006 6987L:: AB Airlines 142000 140000 2000 0w @ £ |

#7 - 01/21/2025 05:50 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#8 - 02/05/2025 11:52 AM - Arathy PS

- File clipboard-202502051152-7yexv.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

ravvise Refund

(Tested in other cancel -not implemented yet) 2. Not asking for permission of old refund from user.
(DONE)3. When FOP is selected as bank at a time either transfer or cheque only one should be able to be selected.

#9 - 02/21/2025 10:26 AM - Amal Ck

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

05/03/2025

Master  Ticket Hotel Other Transfer Visa Package AR Sharing ALPO
Ve Voucher No* ospn Refund RF/001) - Cancel Date® | 05/02/2025 o] Restore®
Other Service | Fare CustomData AP Sharing Note
Service® | SADD5: Other Service v Period” | 05/02/2025 B | | osm2r2025 ]
Ancillary Service® - Sup Conf No
Service Provider” Confirmation Number
Country NoOfDays = | g
Supplier” | SUPOOT BSP INR v Reference
Pax Profile + PNRNo
Pac | sde Q Region | Select.,
Number Of Pax | 1 0 Total Pax: 1 LPO No dd/MM
Channel v Veid
Refunding Staff*
o SetAl
Booking Staff*
Issuing Staff*
Coy
Remarks
4
Ticket/Voucher = Party
Ticke : Q Search v SetAl
* Type Cancel Date | Ticket/Voucher Refund Amount Receivable profit
No data



#10 - 03/06/2025 03:32 PM - Theja Ponon

- File clipboard-202503061531-xjiib.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

column “jsnmodofrefunfsuppdoc” does not exist X

Master Ticket Hotel Other Transfer Visa Package AR Sharing | ALPO
AR No Date 06/02/2025 e n Amount™ | 00
Against Doc 0.00 QAR Total Amount 1000.00
Sharing Category” | Customer/FOP v Total Shared 500.00
Customer/FOP* QAR ~ Current Shared 0.00
Sub Customer ~ Balance 0.00
Reference
Remaris
4
vy
T @ 2 O
# | Ticket/Voucher Amount shared Other shared Balance ¥ SetAll
1 o4 100000 000 [s00.00} 500.00 s Q Search
2 Reset B Add
Ticket/Voucher | Party
Q Search v SetAll T @ 2 O
# Type Cancel Date  Ticket/Voucher  Service Provider Refund Amount Receivable Profit Shared
1 Other 06/03/2025 o4 SUPOD1: Supplier 1000.00 100000 000 w A S W

A

#11 - 03/07/2025 03:17 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#12 - 03/11/2025 12:58 PM - Arathy PS

- File clipboard-202503111257-awmbb.png added

- File clipboard-202503111258-f8w2b.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Default currency of the customer showing in AR sharing tab is wrong.

2. Can't update an AR sharing in edit mode.

3. Party tabs values gets missing while updating the document.

4. Currency of the customer in edit mode is wrong on AR sharing tab.

5. When the two customers have different currency (one in master and one in AR sharing) party tab shows wrong data.
|5

Refund

Master AR

o IULHINUSLE4I0] REIUNT

Sharing

ALPO

Doc No: RF/006 Status® | Active (Posting Status) % 3 more X - OK
Summary = Details
Posting Details Group BY | No Grouping v T Q = A
Sub Doc No Ticket/Voucher Main Ledger Ledger Date Transaction Currency Branch
Currency Debit Credit Outstanding '
RF/006 159 LM001:: Sundry Creditors SUPO01: BSP SUPPLIER 11/03/2025 QAR 800.00 0.00 800.00 Main
RF/006 159 AMO14:z Sundry Debtors CUS002: AAMAAL ANWAR SALAM ~ 11/03/2025 QAR 0.00 700.00 700.00 Main
RF/006 159 LLOO0B:: Profit & Loss LLO0B: Profit & Loss 11/03/2025 QAR 0.00 100.00 100.00 Main
Total QAR 800.00 QAR 800.00 QAR 1600.00
& Close

Refund

Master AR Sharing  ALPO
Refund Na | RF/006 o Date” | 11/03/2025 XM r] Eranch®  BROOT: Main e
Against Doc & 00002 Department’  DPOO1: Account v
Customer/FOP* | CUS001 ASLAM ABDUL KHAN AED ~ File No*~ Enquiry No* =
Sub Customer ~ Customer Side Posting™ :
Reference ROET 2
Narration ) Deduction = | 0,00
Document Status™ | Active v By Total Refund 1400.00 Total Profit 200.00
Posting Status” | Active « o Shared 700.00 Outstanding ~ 1400.00
Created By:  Administrator(11/03/2025 12:47 PM) s 700.00
Modified By:
Ticket/Voucher = Party
Party Q S Sl
Customer/FOP Document No Currency Amount Cost Profit
» CUS001: ASLAM ABDUL KHAN RF/006 AED 700,00 80000 000
» CUS0D2: AAMAAL ANWAR SALAM RF/007 QAR 70000 80000 200,00 # o]

6. If the currency in cheque and the same currency is not present in bank then add a validation.

#13 - 03/27/2025 02:20 PM - Theja Ponon
- File clipboard-202503271420-h78r1.png added

Issue Found

1)In cash refund Data is not showing in From in the print
Payment

From Code PCHO001
TRN
No CRE/001
Phone Date 27/03/2025
Email File No
Pax/Guest Name Sector/Details Number Cancel Date Amount
ss CCJ/BOM TK656 27/03/2025 1100.00

#14 - 04/08/2025 12:45 PM - Arathy PS
NEW CHANGE

1. While choosing e-mail in print then the mail ID provided in the master module of the account should be loaded here by default.

Issue Found

1)On choosing bank as fop and choosing cheque transfer ,disable the issued bank field

#15 - 04/08/2025 02:47 PM - Amal Ck

- Status changed from Reopen Bugs to New Changes

#16 - 04/12/2025 10:35 AM - Arathy PS

Test Case

-->Should be able to save a refund a ticket with void with only refund charge.
Issue found: Can't save when posting method is cost of sale.--FIXED

#17 - 04/12/2025 11:48 AM - Arathy PS

- Status changed from New Changes to Reopen Bugs

#18 - 04/12/2025 11:52 AM - Arathy PS

- Status changed from Reopen Bugs to New Changes

Files

clipboard-202501081440-39pvy.png 165 KB 01/08/2025 Arathy PS
clipboard-202502051152-7yexv.png 152 KB 02/05/2025 Arathy PS
clipboard-202503061531-xjiib.png 159 KB 03/06/2025 Theja Ponon
clipboard-202503111257-awmbb.png 82 KB 03/11/2025 Arathy PS
clipboard-202503111258-f8w2b.png 139 KB 03/11/2025 Arathy PS
clipboard-202503271420-h78r1.png 32.5 KB 03/27/2025 Theja Ponon

05/03/2025

5/5


http://www.tcpdf.org

